#version 120

attribute vec3 pos;
attribute vec2 tex;

uniform float rotate;

void main()
{
  float ct = cos(rotate);
  float st = sin(rotate);

  float x = pos.x * ct - pos.y * st;
  float y = pos.x * st + pos.y * ct;

  gl_Position = vec4(x, y, 0, 1);
  gl_TexCoord[0] = vec4(tex, 0, 0);
}
